CGFXCAT(1)

NAME
cgfxcat - dump a Cg effect or program file to standard out

SYNOPSIS
cgfxcat.exe [-gl] [-effect] [-program] [-object] [-profile profile] [-entry entry] file

DESCRIPTION
cgfxcat loads an effect or program file and calls every query operation available in the core runtime on the resulting Cg object. The values returned by the queries are written to standard out.

The source code for cgfxcat is found under examples/Tools/cgfxcat.

OPTIONS

file
    The effect or program file to be processed. cgfxcat can handle effect files, program files, or precompiled program files.

    Files with a .cgfx or .fx extension will be loaded using cgCreateEffectFromFile. Files with a .cg or .hlsl extension will be loaded using cgCreateProgramFromFile. Any other extension is passed to cgGetProfile and if a valid CGprofile is found the file is loaded using cgCreateProgramFromFile with the program_type set to CG_OBJECT. You can override these built-in file extension mappings with the -effect, -program, or <-object> options.

-effect
    Treat file as an effect file, ignoring its extension.

-program
    Treat file as a program file, ignoring its extension.

-object
    Treat file as an precompiled program file, ignoring its extension.

-profile profile
    Use the CGprofile returned by cgGetProfile for profile as the profile argument of cgCreateProgramFromFile when compiling file.

-entry entry
    Use entry as the entry argument of cgCreateProgramFromFile when compiling file.

-gl Register states with cgGLRegisterStates rather than using the generic state code built into cgfxcat.

SEE ALSO
cgCreateEffectFromFile, cgCreateProgramFromFile, cgGetProfile, cgGLRegisterStates